libgutenprint API Reference: include/gutenprint/string-list.h File Reference

libgutenprint API Reference 5.2.11

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions
string-list.h File Reference

String list functions. More...

## Data Structures
struct | stp_param_string_t
| String parameter. More...

## Typedefs
typedef struct stp_string_list | stp_string_list_t
| The string_list opaque data type. More...

## Functions
stp_string_list_t * | stp_string_list_create (void)
void | stp_string_list_destroy (stp_string_list_t *list)
stp_param_string_t * | stp_string_list_param (const stp_string_list_t *list, size_t element)
stp_param_string_t * | stp_string_list_find (const stp_string_list_t *list, const char *name)
size_t | stp_string_list_count (const stp_string_list_t *list)
stp_string_list_t * | stp_string_list_create_copy (const stp_string_list_t *list)
void | stp_string_list_add_string (stp_string_list_t *list, const char *name, const char *text)
void | stp_string_list_add_string_unsafe (stp_string_list_t *list, const char *name, const char *text)
void | stp_string_list_remove_string (stp_string_list_t *list, const char *name)
stp_string_list_t * | stp_string_list_create_from_params (const stp_param_string_t *list, size_t count)
int | stp_string_list_is_present (const stp_string_list_t *list, const char *value)

## Detailed Description

String list functions.

## Typedef Documentation

typedef struct stp_string_list stp_string_list_t

The string_list opaque data type.

## Function Documentation

void stp_string_list_add_string | ( | stp_string_list_t * | list,
|  | const char * | name,
|  | const char * | text
| ) |  |

void stp_string_list_add_string_unsafe | ( | stp_string_list_t * | list,
|  | const char * | name,
|  | const char * | text
| ) |  |

size_t stp_string_list_count | ( | const stp_string_list_t * | list | ) |

stp_string_list_t* stp_string_list_create | ( | void |  | ) |

stp_string_list_t* stp_string_list_create_copy | ( | const stp_string_list_t * | list | ) |

stp_string_list_t* stp_string_list_create_from_params | ( | const stp_param_string_t * | list,
|  | size_t | count
| ) |  |

void stp_string_list_destroy | ( | stp_string_list_t * | list | ) |

stp_param_string_t* stp_string_list_find | ( | const stp_string_list_t * | list,
|  | const char * | name
| ) |  |

int stp_string_list_is_present | ( | const stp_string_list_t * | list,
|  | const char * | value
| ) |  |

stp_param_string_t* stp_string_list_param | ( | const stp_string_list_t * | list,
|  | size_t | element
| ) |  |

void stp_string_list_remove_string | ( | stp_string_list_t * | list,
|  | const char * | name
| ) |  |